#!/usr/local/bin/perl -Tw

use strict;
use CGI;
use WebDP::Quiz::Session;

my $query   = CGI->new;
my $session = WebDP::Quiz::Session->create;

$session->set(current_idx => 0);

my $cookie = $session->generate_cookie;
my $sid    = $session->id;

print $query->header(
    -type => 'text/html; charset=euc-jp',
    -cookie => $cookie,
), <<"__HTML__";
<HTML>
<BODY>
Your Session ID is: <B>$sid</B>.<BR><BR>
<A href="./main.cgi">Start Quiz</A><P>
</BODY>
</HTML> 
__HTML__
